Support » Requests and Feedback » How long will the 2.1 branch be maintained?

  • whimsy

    (@whimsy)


    I’ve read the news that the 2.0.x series will be maintained for a year (or a few years, I forget exactly), because of the need to provide a “stable” version for inclusion in some other packages.

    I therefore conclude that I could continue to use 2.0.x and expect security upgrades for quite a while if I didn’t need to keep up with 2.1, 2.2, 2.3, etc.

    But what about 2.1.x?

    Will Automattic support the 2.1 branch after 2.2 is released? (Scheduled about a month from now!) What about when 2.3 is released, etc.?

    I understand that the current release schedule is going to be three or four 2.x+1 type releases per year, and in a couple years that could be 8 branches to maintain!

Viewing 7 replies - 1 through 7 (of 7 total)
  • I would like an answer to this question as well :). If 2.1.x (according to this page it is maintained?) is not maintained as I discoverd today, the I will downgrade to 2.0.x because I’m not prepared to upgrade every 3 months or so…

    So could someone with authority give an answer to what we can expect? With that everyone can make a decission if to stay or downgrade or to stay with the latest.

    2.0.x branch supported until 2010.

    See:
    http://wordpress.org/development/2007/02/new-releases/

    Users of the 2.1.x branch should upgrade to the 2.2 version.

    Well, I wil not upgrade to 2.2 and then do this every 3 months. I will try to downgrade to version 2.0.x instead. Could someone please update the mentioned page because that one is misleading!

    Hmm, the page still has misleading information in it:

    None of these are safe to use, except the latest in the 2.0 or 2.1 series, which are both actively maintained.

    Could someone be so kind to update the information in that page? Personally i think that WordPress could do a lot to improve communication.

    For example, there is no official communication regarding critical bugs that are reported. Bug 4357 already exists for over 2 weeks now, and there is no new version yet. Not every user has the time to watch the trac every day and look if there are possible bugs in WordPress. I’m sure that 99% of the wordpress users don’t know about this bug and are possible victims for malicious attackers.

    whooami

    (@whooami)

    Member

    Personally i think that WordPress could do a lot to improve communication.

    I concur.

    Ditto.

    phpBB had in the past the same complaints. They solved the issue with an security mailinglist and a version checker. I think that WordPress must do something similar. The found bugs are in the wild. I see alot of attempts on my site and I found a lot of sites which are still vunerable.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘How long will the 2.1 branch be maintained?’ is closed to new replies.